# Class FoldingForThread

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- child
- childField
- enableExpand
- expandExpression
- field
- getMoreResults
- getResult
- maximumExpandedResults
- parent
- parentField
- range
- rearrange

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### child

child: IFieldOption

- Defined in ui/Folding/Folding.ts :104

Markup configuration example(s) :

    data-child='@foo'

### childField

childField: IFieldOption

- Defined in ui/Folding/Folding.ts :121

Markup configuration example(s) :

    data-child-field='@foo'

### enableExpand

enableExpand: boolean

- Defined in ui/Folding/Folding.ts :176

Markup configuration example(s) :

    data-enable-expand='true'
    data-enable-expand='false'

### expandExpression

expandExpression: string

- Defined in ui/Folding/Folding.ts :183

Markup configuration example(s) :

    data-expand-expression='foo'

### field

field: IFieldOption

- Defined in ui/Folding/Folding.ts :93

Markup configuration example(s) :

    data-field='@foo'

### getMoreResults

getMoreResults: function

- Defined in ui/Folding/Folding.ts :242

#### Type declaration

- - (results: IQueryResult[]): IQueryResult[]

  - #### Parameters

    - ##### results: IQueryResult[]

    #### Returns IQueryResult[]

### getResult

getResult: function

- Defined in ui/Folding/Folding.ts :226

#### Type declaration

- - (result: IQueryResult): IQueryResult

  - #### Parameters

    - ##### result: IQueryResult

    #### Returns IQueryResult

### maximumExpandedResults

maximumExpandedResults: number

- Defined in ui/Folding/Folding.ts :191

Markup configuration example(s) :

    data-maximum-expanded-results='10'

### parent

parent: IFieldOption

- Defined in ui/Folding/Folding.ts :115

Markup configuration example(s) :

    data-parent='@foo'

### parentField

parentField: IFieldOption

- Defined in ui/Folding/Folding.ts :128

Markup configuration example(s) :

    data-parent-field='@foo'

### range

range: number

- Defined in ui/Folding/Folding.ts :143

Markup configuration example(s) :

    data-range='10'

### rearrange

rearrange: SortCriteria

- Defined in ui/Folding/Folding.ts :163

## Constructors

### constructor

- new FoldingForThread(element: HTMLElement, options: IFoldingOptions, bindings?: IComponentBindings): FoldingForThread

- Overwrites Folding.constructor

  - Defined in ui/FoldingForThread/FoldingForThread.ts :29

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: IFoldingOptions

  - ##### Optional bindings: IComponentBindings

  #### Returns FoldingForThread

### Hierarchy

- Folding